{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list %}

{% block extrastyle %}
  {{ block.super }}
  <link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}" />
  <script type="text/javascript" src="{% static 'custom/js/Periodos/ventana_popup.js' %}"></script>
  {{ media }}

<link rel="stylesheet" type="text/css" href="{% static 'custom/js/jqgrid/themes/redmond/jquery-ui-1.8.2.custom.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static 'custom/js/jqgrid/themes/ui.jqgrid.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static 'custom/js/jqgrid/themes/ui.multiselect.css' %}" />

<script src="{% static 'custom/js/jqgrid/js/jquery.js' %}" type="text/javascript"></script>
<script src="{% static 'custom/js/jqgrid/js/jquery-ui-1.8.2.custom.min.js' %}" type="text/javascript"></script>
<script src="{% static 'custom/js/jqgrid/js/jquery.layout.js' %}" type="text/javascript"></script>
<script src="{% static 'custom/js/jqgrid/js/i18n/grid.locale-sp.js' %}" type="text/javascript"></script>
<script type="text/javascript">
	$.jgrid.no_legacy_api = true;
	$.jgrid.useJSON = true;
</script>
<script src="{% static 'custom/js/jqgrid/js/jquery.jqGrid.min.js' %}" type="text/javascript"></script>
<script src="{% static 'custom/js/jqgrid/js/jquery.tablednd.js' %}" type="text/javascript"></script>
<script src="{% static 'custom/js/jqgrid/js/jquery.contextmenu.js' %}" type="text/javascript"></script>
<script src="{% static 'custom/js/jqgrid/js/ui.multiselect.js' %}" type="text/javascript"></script>

{% endblock %}

{% block bodyclass %}change-list{% endblock %}

  {% block breadcrumbs %}
    <div class="breadcrumbs">
      <a href="../../../../">
        {% trans "Inicio" %} &rsaquo;
      </a>
      <a href="../../">
          {% trans "Ciclos Académicos" %} &rsaquo;
      </a>
      <a href="../../configurar/">
          {% trans "Configurar" %} &rsaquo;
      </a>
      <a href="../../{{ periodocurso.id }}/">
          {{ periodocurso.Periodo }} ({{ periodocurso.Curso.Carrera.Carrera }} - {{ periodocurso.Curso.Nombre }} - {{ periodocurso.Curso.Ciclo }}º Ciclo) &rsaquo;
      </a>
          Grupo Horario {{ periodocurso.Grupo }}
    </div>
  {% endblock %}

{% block coltype %}flex{% endblock %}

{% block content %}
<!--   <div id="content-main"> -->
{% if perms.Horarios.read_horario or perms.Horarios.add_horario or perms.Horarios.change_horario %}
<h2>Horarios Grupo Horario {{ periodocurso.Grupo }} - {{ periodocurso.Curso.Nombre }} -  {{ periodocurso.Curso.Carrera.Carrera }}</h2>
<h2>Docente: {{ periodocurso.Docente }}</h2>
    <div class="module aligned" id="changelist">
     {% block object-tools %}
        <ul class="object-tools">
          {% if perms.Horarios.add_horario %}
          <li>
            <a id="lookup_id_Horario" class="addlink" onclick="return abrir_popup('../../agregarhorario/{{ periodocurso.id }}');" href="../../agregarhorario/{{ periodocurso.id }}/">
              {% trans 'Agregar Horario' %}
            </a>
          </li>
          {% endif %}
        </ul>
     {% endblock %}

     {% block result_list %}
     {% if horarios %}
        <table cellspacing="0">
        <THEAD>
        <TR>
        <TH>&rsaquo;</TH>
        <TH>{% trans 'Día' %}</TH>
        <TH>{% trans 'Inicio' %}</TH>
        <TH>{% trans 'Fin' %}</TH>
        <TH>{% trans 'Sección' %}</TH>
        {% if perms.Horarios.change_horario %}
        <TH>{% trans 'Accíon' %}</TH>
        {% endif %}
        {% if perms.Horarios.delete_horario %}
        <TH>{% trans 'Acción' %}</TH>
        {% endif %}
        </TR>
	</THEAD>
        <TBODY>
        {% for horario in horarios %}
        <TR class="{% cycle 'row1' 'row2' %}">
           <TD>&rsaquo;</TD>
           <TD>{{ horario.Dia|escape }}</TD>
           <TD>{{ horario.HoraInicio|escape }}</TD>
           <TD>{{ horario.HoraFin|escape }}</TD>
           <TD>{{ horario.Seccion|escape }}</TD>
           {% if perms.Horarios.change_horario %}
           <TD><a class="changelink" href="../../editarhorario/{{ horario.id|escape }}/"  onclick="return abrir_popup('../../editarhorario/{{ horario.id|escape }}/');"></a></TD>
           {% endif %}
           {% if perms.Horarios.delete_horario %}
           <TD><a class="deletelink" href="../../../../Horarios/horario/{{ horario.id|escape }}/delete/"  onclick="return abrir_popup('../../../../Horarios/horario/{{ horario.id|escape }}/delete/');"></a></TD>
           {% endif %}
        </TR>
        {% endfor %}
        </TBODY>
        </table>
     {% else %}
        <p>{% trans 'No se encontraron coincidencias' %}</p>
     {% endif %}
      {% endblock %}
      {% block pagination %}
      <p class="paginator">
          {{ horarios.count }} Horario(s) para este Curso
      </p>
      {% endblock %}
  </div>
{% endif %}
<!-- </div> -->


{% if perms.Notas.read_nota or perms.Notas.add_nota or perms.Notas.change_nota %}
<!-- <div id="content-main"> -->
<h2>Notas Grupo Horario {{ periodocurso.Grupo }} - {{ periodocurso.Curso.Nombre }} -  {{ periodocurso.Curso.Carrera.Carrera }}</h2>
<h2>Docente: {{ periodocurso.Docente }}</h2>

<!--  <div class="module aligned" id="changelist">

     <ul class="object-tools">
          {% if perms.Notas.add_nota %}
          <li>
            <a id="lookup_id_Nota" class="addlink" onclick="return abrir_popup('../../agregarnota/{{ periodocurso.id }}');" href="../../agregarnota/{{ periodocurso.id }}/">
              {% trans 'Agregar Nota' %}
            </a>
          </li>
          {% endif %}
     </ul>
      {% if notas %}
        <table cellspacing="0">
        <THEAD>
        <TR>
        <TH>&rsaquo;</TH>
        <TH>{% trans 'Orden' %}</TH>
        <TH>{% trans 'Descripción' %}</TH>
        <TH>{% trans 'Peso' %}</TH>
        {% if perms.Notas.change_nota %}
        <TH>{% trans 'Accíon' %}</TH>
        {% endif %}
        {% if perms.Notas.delete_nota %}
        <TH>{% trans 'Acción' %}</TH>
        {% endif %}
        </TR>
	</THEAD>
        <TBODY>
        {% for nota in notas %}
        <TR class="{% cycle 'row1' 'row2' %}">
           <TD>&rsaquo;</TD>
           <TD>{{ nota.Orden|escape }}</TD>
           <TD>{{ nota.Nota|escape }}</TD>
           <TD>{{ nota.Peso|escape }}</TD>
           {% if perms.Notas.change_nota %}
           <TD><a class="changelink" href="../../editarnota/{{ nota.id|escape }}/"  onclick="return abrir_popup('../../editarnota/{{ nota.id|escape }}/');"></a></TD>
           {% endif %}
           {% if perms.Notas.delete_nota %}
           <TD><a class="deletelink" href="../../../../Notas/nota/{{ nota.id|escape }}/delete/"  onclick="return abrir_popup('../../../../Notas/nota/{{ nota.id|escape }}/delete/');"></a></TD>
           {% endif %}
        </TR>
        {% endfor %}
        </TBODY>
        </table>
     {% else %}
        <p>{% trans 'No se encontraron coincidencias' %}</p>
     {% endif %}

      <p class="paginator">
          {{ notas.count }} Nota(s) para este Curso
      </p>
</div>-->
<table id="subgrid_notas"></table>
<div id="pagernav"></div>
<input type="hidden" id="grid_periodocurso" value="{{ periodocurso.id }}"/>

<input type="hidden" id="grid_perms_add" value="{{ perms.Notas.add_nota }}"/>
<input type="hidden" id="grid_perms_change" value="{{ perms.Notas.change_nota }}"/>
<input type="hidden" id="grid_perms_delete" value="{{ perms.Notas.delete_nota }}"/>
<input type="hidden" id="nivel_cero" value="{{ nivel_cero }}"/>

<script src="{% static 'custom/js/jqgrid/subgrid_notas.js' %}" type="text/javascript"> </script>
{% endif %}
<!-- </div> -->
{% endblock %}
